---
title: Date.prototype.getDay()
slug: Web/JavaScript/Reference/Global_Objects/Date/getDay
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>getDay()</code></strong> method returns the day of the week for the specified date according to local time, where 0 represents Sunday.</span> For the day of the month, see {{jsxref("Date.prototype.getDate()")}}.</p>

<div>{{EmbedInteractiveExample("pages/js/date-getday.html", "shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.getDay()</pre>

<h3 id="Return_value">Return value</h3>

<p>An integer number, between 0 and 6, corresponding to the day of the week for the given date, according to local time: 0 for Sunday, 1 for Monday, 2 for Tuesday, and so on.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_getDay">Using getDay()</h3>

<p>The second statement below assigns the value 1 to <code>weekday</code>, based on the value of the {{jsxref("Date")}} object <code>Xmas95</code>. December 25, 1995, is a Monday.</p>

<pre class="brush: js notranslate">var Xmas95 = new Date('December 25, 1995 23:15:30');
var weekday = Xmas95.getDay();

console.log(weekday); // 1
</pre>

<div class="notecard note">
<p><strong>Note:</strong> If needed, the full name of a day ("<code>Monday</code>" for example) can be obtained by using {{jsxref("DateTimeFormat", "Intl.DateTimeFormat")}} with an <code>options</code> parameter. Using this method, the internationalization is made easier:</p>

<pre class="brush: js notranslate">var options = { weekday: 'long'};
console.log(new Intl.DateTimeFormat('en-US', options).format(Xmas95));
// Monday
console.log(new Intl.DateTimeFormat('de-DE', options).format(Xmas95));
// Montag
</pre>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.getday', 'Date.prototype.getDay')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.getDay")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getUTCDate()")}}</li>
 <li>{{jsxref("Date.prototype.getUTCDay()")}}</li>
 <li>{{jsxref("Date.prototype.setDate()")}}</li>
</ul>
